Questa voce elenca l'intera discografia italiana ed estera di Rita Pavone dal 1962 ad oggi. I dischi di Rita sono stati pubblicati in diversi paesi del mondo, tra cui Austria, Germania, Spagna, Portogallo, Svizzera, Francia, Grecia, Turchia, Yugoslavia, Paesi Bassi, Giappone, Regno Unito, Stati Uniti, Brasile, Argentina, Messico, Perù, Uruguay, Venezuela, Brasile, Messico, Israele, Panama, Colombia.

La discografia italiana è composta da 22 album ufficiali, di cui 13 di inediti, un audioracconto, 2 di cover, 3 colonne sonore, un album live, un album di remake e remix, più 60 singoli italiani, 8 EP e 25 raccolte ufficiali.

La cantante vanta una vasta discografia fuori dall'Italia, con 7 album pubblicati appositamente per il mercato estero: 2 per gli stati Uniti (Small wonder e The international teen-age sensation), 2 per il mercato francese (Bonjour La France – Sous Le Ciel De France, Sous Le Ciel D'Italie e Dame Baby Poupée) e 3 per il mercato tedesco (Ein Sonny Boy Und Eine Signorina in coppia con Paul Anka, Komm Doch Wieder Mal Nach Rom (Arrivederci Hans) e Rita Pavone) più 56 singoli (divisi tra singoli per il solo mercato estero e molte traduzioni dei singoli italiani), 20 EP e 23 raccolte ufficiali.

Non esistono dati ufficiali in merito alle vendite discografiche della cantante ma, nelle note interne dell'LP R. P. '80 del 1979 viene indicato il conseguimento di venti milioni di dischi venduti fino a quell'anno

Album Album in studio 1963: Rita Pavone (RCA Italiana, PML 10350) 1964: Non è facile avere 18 anni (RCA Italiana, PML 10360) 1965: Gian Burrasca (RCA Italiana, PML 10380) - colonna sonora 1965: Stasera Rita (RCA Italiana, PML 10404) 1966: La “Vostra„ Rita (RCA Italiana, serie Special, S 10) 1966: È nata una stella (RCA Italiana, serie Special, S 20) 1967: Ci vuole poco... (RCA Italiana, serie Special, S 24) 1967: Little Rita nel West (RCA Italiana, PML 10427) - colonna sonora 1968: Viaggio a Ritaland (Ritaland, SRTL 1001) 1969: Rita Pavone presenta Pierino e il lupo/Storia di Babar l'elefantino (Ritaland Dischi Ricordi, SRTL 1002) - Audiolibro, fiaba sonora 1969: Rita (Dischi Ricordi, SMRL 6067) 1970: Gli italiani vogliono cantare (RCA Italiana, PSL 10489) - colonna sonora 1971: Ciao Rita (RCA Italiana, LP8S 21166) - (stampato solo su formato Musicassetta e Stereo 8 e ristampato in vinile in edizione limitata nel 2011 con codice PSL 21166) 1975: Rita per tutti (RCA Italiana, TPL1 1164) - album di cover 1977: Rita ed io (RCA Italiana, PL 31201) 1979: Rita e l'anonima ragazzi (RCA Italiana, PL 31439) 1979: R. P. '80 (RCA Italiana, PL 31488) 1979: Dame Baby Poupée (Philips, 9101 209) 1984: Adorable sixties (Il discotto productions, 1037) 1985: Dimensione donna (Ros Record, RRLP 1172) 1989: Gemma e le altre ("21" Compagnia Generale Dello Spettacolo, RP 30) 1993: Rita is magic (Discomagic Records, CD/809) - Album live 1997: Nonsolonostalgia (Joker, CD 22153) - Raccolta di nuove registrazioni e remix 2013: Masters (doppio CD) (Sony Music) - album di cover

Raccolte 1971: Rita Pavone (RCA Italiana RCA International - MC LIK 3, Stereo8 LI8 4) 1976: Come lei non c'è nessuno (RCA Italiana Serie Linea Tre NL 33019, TNL 33019 - MC, Stereo8) 1979: Un indimenticabile "Pel Di Carota" (RCA Italiana CL 70192, LP) 1982: Rita Pavone (Armando Curcio Editore Serie Hit Parade International HP26, LP) 1988: Fortissimo (RCA Serie Flashback CD 71658, CD) 1990: Come lei non c'è nessuno (RCA Serie Linea Tre CD 71658, stampa in CD omonima di quella del 1976, ma con diversa tracklist, ristampato nel 1994 in MC e nuovamente in CD nel 1998 per la serie Orizzonte) 1992: L'album di Rita Pavone (RCA Serie L'Album Di ND 75324 (2), ristampato nuovamente in CD nel 1998 per la RCA Italiana – 74321555022 - 2) 1993: I successi (Fonotil FNT. 4252 MC) 1994: I successi di Rita Pavone (RCA (BMG Serie Music Market 74321 18676-2, CD, MC) 1994: The classic collection (Fremus Serie Golden Age CDFR 0530, CD, MC) 1994: Il meglio di (Suara Bebas Records – SMC 434, MC) 1995: ... Ricordi (Dischi Ricordi – OROSCD 43, CD) 1997: I grandi successi (RCA BMG – 74321-49406-2, CD) 1998: Gli anni d'oro (RCA 74321 536144, MC) 1998: Rita Pavone (D.V. More Record – CDDV 6208, CD) 1999: Rita Pavone (Harmony Serie Protagonisti – CDDV 6208, CD) 1999: Rita Pavone Vol. 2 (Harmony Serie Protagonisti – 74321 58929-2, CD) 2000: I grandi successi originali (Ricordi74321750182 (2), CD, MC) 2001: Rita Pavone (RCA Serie I Mitici 45, 74321812432 (2), CD) 2002: Rita Pavone (D.V. More Record – CDDV 6550, CD) 2011: Il Geghegé e altri successi (BMG, Sony Music 88697834422, 3CD) 2012: Questo nostro amore (doppio CD) (BMG, Sony Music 88765425622, 2CD) 2014: Tutto il meglio (doppio CD) (BMG, 14SC0056, 3CD distribuito in abbinamento a TV Sorrisi e Canzoni) 2020: RaRità (BMG, 20SC0025) (Raccolta con inediti)

EP 1963: Non è facile avere 18 anni EP (RCA Victor, SJB - 6) 1966: Mamma Dammi La Panna/I Saw Her Again/E Se Ci Diranno/Sorella Kate (RCA Italiana 45UP 34) - EP promo con altri artisti 1969: Ehi, Ehi, Che Cosa Non Farei/Mi Ritorni In Mente/Dimmi Ciao Bambino/Era Lei (Ricordi – EC 89) - EP promo con altri artisti 1977: Quel diavolo di santarellina/Eccì amavamo/Dimmi se non è un'idea/Bionda (RCA Italiana, BF 6112)

Singoli 1962: La partita di pallone/Amore twist (RCA Italiana, PM45-3140) 1963: Come te non c'è nessuno/Clementine chérie (RCA Italiana, PM45-3163) 1963: Alla mia età/Pel di carota (RCA Italiana, PM45-3166) 1963: Cuore/Il ballo del mattone (RCA Italiana, PM45-3232) 1963: Non è facile avere 18 anni/Son finite le vacanze (RCA Italiana, PM45-3233) 1964: Datemi un martello/Che m'importa del mondo (RCA Italiana, PM45-3243) 1964: Scrivi!/Ti vorrei parlare (RCA Italiana, PM45-3280) 1964: L'amore mio/San Francesco (RCA Italiana, PM45-3300) 1965: Viva la pappa col pomodoro/Sei la mia mamma (RCA Italiana, PM45-3303) 1965: Lui/La forza di lasciarti (RCA Italiana, PM45-3313) 1965: Plip/Supercalifragilistic-Espiralidoso (RCA Italiana, PM45-3330) 1965: Stasera con te/Solo tu (RCA Italiana, PM45-3343) 1966: Qui ritornerà/Il geghegè (RCA Italiana, PM45-3360) 1966: Fortissimo/La sai troppo lunga (RCA Italiana, PM45-3366) 1966: La zanzara/Perché due non fa tre (RCA Italiana, PM45-3377) 1966: Mamma dammi la panna/Col chicco (RCA Italiana, PM45-3380) 1966: Pavone Carlo Story (ARC, AN 4082) - singolo in coppia con Carlo Pavone 1967: Gira gira/Dove non so (RCA Italiana, PM45-3383) 1967: Una notte intera/Questo nostro amore (RCA Italiana, PM45-3393) 1967: Non dimenticar le mie parole/Da cosa nasce cosa (RCA Italiana, PM 3424) 1967: Cin cin c'innamoriamo/Per una come me (RCA Italiana - Promo realizzato per la Cinzano 1967: I tre porcellini/Basta un poco di zucchero (RCA Italiana, PM 3430) 1967: Sul cucuzzolo/Cuore (RCA Italiana, PM 3434) 1967: Tu sei come/Ma che te ne fai (RCA Italiana, PM 3444) 1967: Pippo non lo sa/Un due tre (se marci insieme a me) (Dischi Ricordi, SRL 10480) 1968: Parlare con gli animali/Niente di simile al mondo (Ritaland, RT 3001) 1968: Palla pallina/il raffreddore (Ritaland, RT 3002) 1968: Il mondo nelle mani/Il ballo dell'orso (Dischi Ricordi, SRL 10498) 1968: Nella mia stanza/Il grammofono (Dischi Ricordi, SRL 10523) 1968: Putiferio/Ninna nanna del formichino (Ritaland, RT 3003) 1969: Zucchero/Nostalgia (Dischi Ricordi, SRL 10528) 1969: Maramao perché sei morto/Chitty chitty bang bang (Ritaland, RT 3004) 1969: Per tutta la vita/Balla balla con noi (Dischi Ricordi, SRL 10566) 1969: Quelli belli come noi/Dimmi ciao bambino (Dischi Ricordi, SRL 10569) 1970: Notte nera/È solo un'impressione (Dischi Ricordi, SRL 10595) 1970: Ahi ahi ragazzo/Maria Luisa (RCA Italiana, PM 3511) 1970: Stai con me/ieri avevo cento anni (RCA Italiana, PM 3556) 1970: E tu/Finalmente libera (RCA Italiana, PM 3572) 1971: La suggestione/Se.. casomai (RCA Italiana, PM 3585) 1971: Il ragazzo del baseball/noi siamo noi (RCA Italiana, PM 3593) 1971: Ma cos'è quest'amore/Arriverciao (RCA Italiana, PM 3606) 1971: Come un tiranno/il mio uomo (RCA Italiana, PM 3607) 1971: Lasciati andare a sognare/Cuore (RCA Italiana, PM 3632) 1972: Amici mai/Magari poco ma ti amo (RCA Italiana, PM 3640) 1972: Amore ragazzo mio/La fine del mondo (RCA Italiana, PM 3675) 1972: L'amore è un poco matto/L'estate (RCA Italiana, PM 3703) 1973: Viva la pappa col pomodoro/Sei la mia mamma (prima ristampa (RCA Italiana, PM 3721) 1975: Amore scusami/Sapore di sale (RCA Italiana, TPBO 1143) 1975: Sei già lì/Nata ieri (RCA Italiana, TPBO 1159) 1976: E... zitto zitto/Fuggire da qui (RCA Italiana, TPBO 1203) 1977: My name is potato/Ma volendo (RCA Italiana, PB 6095) 1977: Siamo tutti Gian Burrasca/Pollicino e Pollicina (RCA Italiana, PB 6126) 1978: Heidi-Di/Viva la pappa col pomodoro (RCA Original Cast, PB 6228) 1979: Paperita/Il fischietto (RCA Italiana, PB 6319) 1979: Blame it on the boogie/Circus music (RCA Italiana, PB 6320) 1979: Prendimi/Mettiti con me (RCA Italiana, PB 6400) 1983: Viva la pappa col pomodoro/Siamo tutti Gian Burrasca (RCA Italiana, BB 6657) 1984: Adorable sixties (Discotto, NP 1037) 12", 33 ⅓ RPM 1985: Daniele/Adorable sixties (Discotto, NP 1037) 1986: La valigia/Africa (Five Record, FM 13148) 1992: Tango Lambada/Stai attenta a ciò che fai/Remember me (Rossodisera Records – RDSCD 1392, CD singolo) 2013: I want you with me (Sony Music, download digitale) 2013: Rainin''' (Sony Music, download digitale) 2014: Se potessi amarti ancora (Sony Music, download digitale) 2018: Ballando sul prato (Skizzo Edizioni Musicali, download digitale) - Con Franco Simone 2020: Niente (Resilienza 74) (BMG, download digitale, streaming, 45 giri promo) 2026: Nel febbraio di un mattino (Betty Wrong Edizioni musicali, download digitale, streaming)

Discografia non ufficiale realizzata dal "Rita Pavone Fan Club" 1987: Special Rita (RCA Serie Linea Tre RFC 0001 Doppio LP) 1988: Maria Luisa (in portoghese/Montañas verdes/Rita Kaputt/Sono proprio uno schianto (RCA – RFC 0002, EP) 1988: Show Some Respect/Addicted to love (Rita Fans Club – RFC0003) 1989: Tu ladra/Bugia (Rita Fans Club – RFC0004) 1989: Non aspetto nessuno/Se per me parlasse il cuore (RCA – AN 7649, Raro Records, Rita Fan Club, brani inediti stampati in 1000 copie) 1990: Sus Exitos En Espanol (Rita Fans Club – RFC 0005 LP) 1992: E' amore/L'amore mio/Il geghegè (Rita Fans Club – RFC0006)

Discografia fuori dall'Italia Album Argentina 1963: Rita Pavone (RCA Victor AVL-3458, ristampato anche nel 1964) 1964: Otra Vez Rita (RCA Victor AVL-3518) 1964: En New York (RCA Victor LPM 2900) 1965: Volvió la Pecosita (RCA Victor AVL-3584) 1966: Stasera con Rita (RCA Victor AVL-3654) 1966: Lo mejor de Rita Pavone (RCA Victor AVLP-3711)

Brasile 1963: Rita Pavone (RCA Victor BBL-147) 1964: Meus 18 Anos (RCA Victor BBL-159) 1965: Stasera Rita (RCA Victor BBL-190) 1977: Amore scusami (Ariola 104.8030) 1985: Per sempre (Continental 3-35-404-021)

Canada 1963: Rita Pavone (RCA Victor LCP 1072) 1963: Rita Pavone (RCA Victor PC 1071, ristampa serie Canada International) 1964: The international teen-age sensation (versione stereo (RCA Victor LSP 2900, versione mono (RCA Victor LPM-2900, stampato in due tirature) 1970: Rita (prima stampa: Bravo Records And Music Limited. – SMRL 6067, seconda stampa: Ricordi/Polydor Record Canada – 2324 007)

Colombia 1965: Stasera Rita (RCA Victor LPC 52-728)

Francia 1963: Rita Pavone (RCA Victor 430.585 versione mono, ristampato in CD nel 2014 dall'etichetta RDM Edition CD799) 1964: Non è facile avere 18 anni (RCA Victor 430.642, versione mono, ristampato in CD nel 2015 dall'etichetta RDM Edition CD853) 1972: Bonjour La France – Sous Le Ciel De France, Sous Le Ciel D'Italie (RCA Victor 443.044) 1979: Dame Baby Poupée (Philips 9101 209)

Germania 1963: Rita Pavone (RCA Victor – LPM-9971)